Package picard.flow

# Class FlowBasedArgumentCollection

java.lang.Object
picard.flow.FlowBasedArgumentCollection

All Implemented Interfaces:
  `Serializable`

public class FlowBasedArgumentCollection extends Object implements Serializable

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FILLING_VALUE_LONG_NAME`
`double`
`fillingValue`
`static final String`
`FLOW_IGNORE_T0_TAG_LONG_NAME`
`boolean`
`ignoreT0Tag`

## Constructor Summary

Constructors
Constructor
Description
`FlowBasedArgumentCollection()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FLOW_IGNORE_T0_TAG_LONG_NAME

public static final String FLOW_IGNORE_T0_TAG_LONG_NAME

See Also:
  - Constant Field Values

### FILLING_VALUE_LONG_NAME

public static final String FILLING_VALUE_LONG_NAME

See Also:
  - Constant Field Values

### ignoreT0Tag

@Advanced @Argument(fullName="flow-ignore-t0-tag", doc="Ignore t0 tag in the read when create flow matrix (arcane/obsolete)", optional=true) public boolean ignoreT0Tag

### fillingValue

@Advanced @Argument(fullName="flow-fill-empty-bins-value", doc="Value to fill the zeros of the matrix with", optional=true) public double fillingValue

## Constructor Details

### FlowBasedArgumentCollection

public FlowBasedArgumentCollection()